﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Ploeh.AutoFixture.Kernel;

namespace AutoFixture.Specimen
{
    public class EmailAddressesStringSpecimenBuilder : ISpecimenBuilder
    {
        public object Create(object request, ISpecimenContext context)
        {
            var propertyInfo = request as PropertyInfo;

            if (propertyInfo != null)
            {
                if (propertyInfo.Name == "EmailAddresses" && propertyInfo.PropertyType == typeof(IEnumerable<string>))
                {
                    IEnumerable<string> emailAddresses = new List<string>() { "user1@acme.com", "user2@unknown.com", "user3@nothing.com" };

                    return emailAddresses;
                }
            }
            return new NoSpecimen();
        }
    }
}
